Bug 511275 - Backtrace stops too early
Backtrace stops too early
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 516995
  Show dependency treegraph
 
Reported: 2009-07-14 10:40 EDT by Andreas Schwab
Modified: 2010-07-22 11:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 11:13:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Testcase (415 bytes, text/plain)
2009-07-14 10:41 EDT, Andreas Schwab
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 11831 None None None Never

  None (edit)
Description Andreas Schwab 2009-07-14 10:40:55 EDT
Backtrace cannot unwind beyond foo.

GNU gdb (GDB) Fedora (6.8.50.20090302-21.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "ppc-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
(gdb) r
Starting program: /home/andreas/src/test/backtrace 

Program received signal SIGABRT, Aborted.
0x0fe93a0c in *__GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64        return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x0fe93a0c in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0fe956b4 in *__GI_abort () at abort.c:88
#2  0x100004d8 in foo ()
Backtrace stopped: frame did not save the PC

See also <http://sourceware.org/ml/libc-alpha/2009-06/msg00136.html> and <http://sourceware.org/ml/gdb-patches/2009-06/msg00777.html>.
Comment 1 Andreas Schwab 2009-07-14 10:41:41 EDT
Created attachment 351592 [details]
Testcase
Comment 2 Bug Zapper 2010-04-27 11:40:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 09:37:26 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Jan Kratochvil 2010-06-28 09:41:23 EDT
Still unverified.

Note You need to log in before you can comment on or make changes to this bug.